/**
 * @brief Breve description...
 *
 * Descripcion detallada...
 * @file programming.c
 * @author Gil Perez, Borja (bor.gil@predoc.uam.es)
 * @version 1.0
 * @date 2018-01-26 (yyyy-mm-dd)
 */

#include <stdio.h>

#include "const.h"
#include "pointers.h"

#define AINT_LEN 10

int main(int argc, char *argv[]) {
	/* Dentro de las funciones no es necesario utilizar comentarios para Doxygen */
    int i, ai[AINT_LEN] = {0,1,2,3,4,5,6,7,8,9};
    char c = 'A', ac[] = "Tecnologias de la Informacion y las Comunicaciones";


    fprintf(stdout, "\n===== EJ =====\n");
    fprintf(stdout, "----- main -----\n\t\tc =\t%c\t&c = %p\n", c, &c);
    if(ej1(c) != OK) {
        return ERR;
    }
    fprintf(stdout, "----- main -----\n\t\tc =\t%c\t&c = %p\n", c, &c);


    fprintf(stdout, "\n===== EJ =====\n");
    fprintf(stdout, "----- main -----\n\t\tc =\t%c\t&c = %p\n", c, &c);
    if(ej2(&c) != OK) {
        return ERR;
    }
    fprintf(stdout, "----- main -----\n\t\tc =\t%c\t&c = %p\n", c, &c);


    fprintf(stdout, "\n===== EJ =====\n");
    fprintf(stdout, "----- main -----\n\t\tac = %p\t%s\n", ac, ac);
    if(ej3(ac) != OK) {
        return ERR;
    }
    fprintf(stdout, "----- main -----\n\t\tac = %p\t%s\n", ac, ac);


    fprintf(stdout, "\n===== EJ =====\n");
    fprintf(stdout, "----- main -----\n\t\tac = %p\t%s\n", ac, ac);
    if(ej4(ac) != OK) {
        return ERR;
    }
    fprintf(stdout, "----- main -----\n\t\tac = %p\t%s\n", ac, ac);


    fprintf(stdout, "\n===== EJ =====\n");
    fprintf(stdout, "----- main -----\n\t\tac = %p\t%s\n\t\tai = %p\t", ac, ac, (void *)ai);
    for(i=0; i < AINT_LEN; i++) {
        fprintf(stdout, "%d ", ai[i]);
    }
    fprintf(stdout, "\n");
    if(ej5(ai, ac) != OK) {
        return ERR;
    }


    fprintf(stdout, "\n===== EJ =====\n");
    if(ej6(ac) != OK) {
        return ERR;
    }

    fprintf(stdout, "\nSalida correcta\n");
    return OK;
}
